blaze-html-0.6.1.1: A blazingly fast HTML combinator library for Haskell

Safe Haskell | None

Text.Blaze.Html5

Description

This module exports HTML combinators used to create documents.

Synopsis

- module Text.Blaze.Html
- docType :: Html
- docTypeHtml :: Html -> Html
- a :: Html -> Html
- abbr :: Html -> Html
- address :: Html -> Html
- area :: Html
- article :: Html -> Html
- aside :: Html -> Html
- audio :: Html -> Html
- b :: Html -> Html
- base :: Html
- bdo :: Html -> Html
- blockquote :: Html -> Html
- body :: Html -> Html
- br :: Html
- button :: Html -> Html
- canvas :: Html -> Html
- caption :: Html -> Html
- cite :: Html -> Html
- code :: Html -> Html
- col :: Html
- colgroup :: Html -> Html
- command :: Html -> Html
- datalist :: Html -> Html
- dd :: Html -> Html
- del :: Html -> Html
- details :: Html -> Html
- dfn :: Html -> Html
- div :: Html -> Html
- dl :: Html -> Html
- dt :: Html -> Html
- em :: Html -> Html
- embed :: Html
- fieldset :: Html -> Html
- figcaption :: Html -> Html
- figure :: Html -> Html
- footer :: Html -> Html
- form :: Html -> Html
- h1 :: Html -> Html
- h2 :: Html -> Html
- h3 :: Html -> Html
- h4 :: Html -> Html
- h5 :: Html -> Html
- h6 :: Html -> Html
- head :: Html -> Html
- header :: Html -> Html
- hgroup :: Html -> Html
- hr :: Html
- html :: Html -> Html
- i :: Html -> Html
- iframe :: Html -> Html
- img :: Html
- input :: Html
- ins :: Html -> Html
- kbd :: Html -> Html
- keygen :: Html
- label :: Html -> Html
- legend :: Html -> Html
- li :: Html -> Html
- link :: Html
- map :: Html -> Html
- mark :: Html -> Html
- menu :: Html -> Html
- menuitem :: Html
- meta :: Html
- meter :: Html -> Html
- nav :: Html -> Html
- noscript :: Html -> Html
- object :: Html -> Html
- ol :: Html -> Html
- optgroup :: Html -> Html
- option :: Html -> Html
- output :: Html -> Html
- p :: Html -> Html
- param :: Html
- pre :: Html -> Html
- progress :: Html -> Html
- q :: Html -> Html
- rp :: Html -> Html
- rt :: Html -> Html
- ruby :: Html -> Html
- samp :: Html -> Html
- script :: Html -> Html
- section :: Html -> Html
- select :: Html -> Html
- small :: Html -> Html
- source :: Html
- span :: Html -> Html
- strong :: Html -> Html
- style :: Html -> Html
- sub :: Html -> Html
- summary :: Html -> Html
- sup :: Html -> Html
- table :: Html -> Html
- tbody :: Html -> Html
- td :: Html -> Html
- textarea :: Html -> Html
- tfoot :: Html -> Html
- th :: Html -> Html
- thead :: Html -> Html
- time :: Html -> Html
- title :: Html -> Html
- tr :: Html -> Html
- track :: Html
- ul :: Html -> Html
- var :: Html -> Html
- video :: Html -> Html
- wbr :: Html

# Documentation

module Text.Blaze.Html

docType

Arguments

:: Html | The document type HTML.

Combinator for the document type. This should be placed at the top of every HTML page.

Example:

     docType

Result:

     <!DOCTYPE HTML>

docTypeHtml

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element. This combinator will also insert the correct doctype.

Example:

     docTypeHtml $ span $ toHtml "foo"

Result:

     <!DOCTYPE HTML>
     <html><span>foo</span></html>

a

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<a>` element.

Example:

     a $ span $ toHtml "foo"

Result:

     <a><span>foo</span></a>

abbr

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<abbr>` element.

Example:

     abbr $ span $ toHtml "foo"

Result:

     <abbr><span>foo</span></abbr>

address

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<address>` element.

Example:

     address $ span $ toHtml "foo"

Result:

     <address><span>foo</span></address>

area

Arguments

:: Html | Resulting HTML.

Combinator for the `<area />` element.

Example:

     area

Result:

     <area />

article

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<article>` element.

Example:

     article $ span $ toHtml "foo"

Result:

     <article><span>foo</span></article>

aside

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<aside>` element.

Example:

     aside $ span $ toHtml "foo"

Result:

     <aside><span>foo</span></aside>

audio

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<audio>` element.

Example:

     audio $ span $ toHtml "foo"

Result:

     <audio><span>foo</span></audio>

b

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<b>` element.

Example:

     b $ span $ toHtml "foo"

Result:

     <b><span>foo</span></b>

base

Arguments

:: Html | Resulting HTML.

Combinator for the `<base />` element.

Example:

     base

Result:

     <base />

bdo

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<bdo>` element.

Example:

     bdo $ span $ toHtml "foo"

Result:

     <bdo><span>foo</span></bdo>

blockquote

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<blockquote>` element.

Example:

     blockquote $ span $ toHtml "foo"

Result:

     <blockquote><span>foo</span></blockquote>

body

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<body>` element.

Example:

     body $ span $ toHtml "foo"

Result:

     <body><span>foo</span></body>

br

Arguments

:: Html | Resulting HTML.

Combinator for the `<br />` element.

Example:

     br

Result:

     <br />

button

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<button>` element.

Example:

     button $ span $ toHtml "foo"

Result:

     <button><span>foo</span></button>

canvas

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<canvas>` element.

Example:

     canvas $ span $ toHtml "foo"

Result:

     <canvas><span>foo</span></canvas>

caption

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<caption>` element.

Example:

     caption $ span $ toHtml "foo"

Result:

     <caption><span>foo</span></caption>

cite

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<cite>` element.

Example:

     cite $ span $ toHtml "foo"

Result:

     <cite><span>foo</span></cite>

code

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<code>` element.

Example:

     code $ span $ toHtml "foo"

Result:

     <code><span>foo</span></code>

col

Arguments

:: Html | Resulting HTML.

Combinator for the `<col />` element.

Example:

     col

Result:

     <col />

colgroup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<colgroup>` element.

Example:

     colgroup $ span $ toHtml "foo"

Result:

     <colgroup><span>foo</span></colgroup>

command

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<command>` element.

Example:

     command $ span $ toHtml "foo"

Result:

     <command><span>foo</span></command>

datalist

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<datalist>` element.

Example:

     datalist $ span $ toHtml "foo"

Result:

     <datalist><span>foo</span></datalist>

dd

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dd>` element.

Example:

     dd $ span $ toHtml "foo"

Result:

     <dd><span>foo</span></dd>

del

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<del>` element.

Example:

     del $ span $ toHtml "foo"

Result:

     <del><span>foo</span></del>

details

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<details>` element.

Example:

     details $ span $ toHtml "foo"

Result:

     <details><span>foo</span></details>

dfn

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dfn>` element.

Example:

     dfn $ span $ toHtml "foo"

Result:

     <dfn><span>foo</span></dfn>

div

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<div>` element.

Example:

     div $ span $ toHtml "foo"

Result:

     <div><span>foo</span></div>

dl

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dl>` element.

Example:

     dl $ span $ toHtml "foo"

Result:

     <dl><span>foo</span></dl>

dt

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dt>` element.

Example:

     dt $ span $ toHtml "foo"

Result:

     <dt><span>foo</span></dt>

em

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<em>` element.

Example:

     em $ span $ toHtml "foo"

Result:

     <em><span>foo</span></em>

embed

Arguments

:: Html | Resulting HTML.

Combinator for the `<embed />` element.

Example:

     embed

Result:

     <embed />

fieldset

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<fieldset>` element.

Example:

     fieldset $ span $ toHtml "foo"

Result:

     <fieldset><span>foo</span></fieldset>

figcaption

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<figcaption>` element.

Example:

     figcaption $ span $ toHtml "foo"

Result:

     <figcaption><span>foo</span></figcaption>

figure

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<figure>` element.

Example:

     figure $ span $ toHtml "foo"

Result:

     <figure><span>foo</span></figure>

footer

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<footer>` element.

Example:

     footer $ span $ toHtml "foo"

Result:

     <footer><span>foo</span></footer>

form

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<form>` element.

Example:

     form $ span $ toHtml "foo"

Result:

     <form><span>foo</span></form>

h1

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h1>` element.

Example:

     h1 $ span $ toHtml "foo"

Result:

     <h1><span>foo</span></h1>

h2

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h2>` element.

Example:

     h2 $ span $ toHtml "foo"

Result:

     <h2><span>foo</span></h2>

h3

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h3>` element.

Example:

     h3 $ span $ toHtml "foo"

Result:

     <h3><span>foo</span></h3>

h4

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h4>` element.

Example:

     h4 $ span $ toHtml "foo"

Result:

     <h4><span>foo</span></h4>

h5

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h5>` element.

Example:

     h5 $ span $ toHtml "foo"

Result:

     <h5><span>foo</span></h5>

h6

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h6>` element.

Example:

     h6 $ span $ toHtml "foo"

Result:

     <h6><span>foo</span></h6>

head

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<head>` element.

Example:

     head $ span $ toHtml "foo"

Result:

     <head><span>foo</span></head>

header

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<header>` element.

Example:

     header $ span $ toHtml "foo"

Result:

     <header><span>foo</span></header>

hgroup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<hgroup>` element.

Example:

     hgroup $ span $ toHtml "foo"

Result:

     <hgroup><span>foo</span></hgroup>

hr

Arguments

:: Html | Resulting HTML.

Combinator for the `<hr />` element.

Example:

     hr

Result:

     <hr />

html

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element.

Example:

     html $ span $ toHtml "foo"

Result:

     <html><span>foo</span></html>

i

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<i>` element.

Example:

     i $ span $ toHtml "foo"

Result:

     <i><span>foo</span></i>

iframe

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<iframe>` element.

Example:

     iframe $ span $ toHtml "foo"

Result:

     <iframe><span>foo</span></iframe>

img

Arguments

:: Html | Resulting HTML.

Combinator for the `<img />` element.

Example:

     img

Result:

     <img />

input

Arguments

:: Html | Resulting HTML.

Combinator for the `<input />` element.

Example:

     input

Result:

     <input />

ins

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ins>` element.

Example:

     ins $ span $ toHtml "foo"

Result:

     <ins><span>foo</span></ins>

kbd

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<kbd>` element.

Example:

     kbd $ span $ toHtml "foo"

Result:

     <kbd><span>foo</span></kbd>

keygen

Arguments

:: Html | Resulting HTML.

Combinator for the `<keygen />` element.

Example:

     keygen

Result:

     <keygen />

label

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<label>` element.

Example:

     label $ span $ toHtml "foo"

Result:

     <label><span>foo</span></label>

legend

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<legend>` element.

Example:

     legend $ span $ toHtml "foo"

Result:

     <legend><span>foo</span></legend>

li

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<li>` element.

Example:

     li $ span $ toHtml "foo"

Result:

     <li><span>foo</span></li>

link

Arguments

:: Html | Resulting HTML.

Combinator for the `<link />` element.

Example:

     link

Result:

     <link />

map

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<map>` element.

Example:

     map $ span $ toHtml "foo"

Result:

     <map><span>foo</span></map>

mark

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<mark>` element.

Example:

     mark $ span $ toHtml "foo"

Result:

     <mark><span>foo</span></mark>

menu

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<menu>` element.

Example:

     menu $ span $ toHtml "foo"

Result:

     <menu><span>foo</span></menu>

menuitem

Arguments

:: Html | Resulting HTML.

Combinator for the `<menuitem />` element.

Example:

     menuitem

Result:

     <menuitem />

meta

Arguments

:: Html | Resulting HTML.

Combinator for the `<meta />` element.

Example:

     meta

Result:

     <meta />

meter

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<meter>` element.

Example:

     meter $ span $ toHtml "foo"

Result:

     <meter><span>foo</span></meter>

nav

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<nav>` element.

Example:

     nav $ span $ toHtml "foo"

Result:

     <nav><span>foo</span></nav>

noscript

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<noscript>` element.

Example:

     noscript $ span $ toHtml "foo"

Result:

     <noscript><span>foo</span></noscript>

object

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<object>` element.

Example:

     object $ span $ toHtml "foo"

Result:

     <object><span>foo</span></object>

ol

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ol>` element.

Example:

     ol $ span $ toHtml "foo"

Result:

     <ol><span>foo</span></ol>

optgroup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<optgroup>` element.

Example:

     optgroup $ span $ toHtml "foo"

Result:

     <optgroup><span>foo</span></optgroup>

option

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<option>` element.

Example:

     option $ span $ toHtml "foo"

Result:

     <option><span>foo</span></option>

output

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<output>` element.

Example:

     output $ span $ toHtml "foo"

Result:

     <output><span>foo</span></output>

p

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<p>` element.

Example:

     p $ span $ toHtml "foo"

Result:

     <p><span>foo</span></p>

param

Arguments

:: Html | Resulting HTML.

Combinator for the `<param />` element.

Example:

     param

Result:

     <param />

pre

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<pre>` element.

Example:

     pre $ span $ toHtml "foo"

Result:

     <pre><span>foo</span></pre>

progress

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<progress>` element.

Example:

     progress $ span $ toHtml "foo"

Result:

     <progress><span>foo</span></progress>

q

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<q>` element.

Example:

     q $ span $ toHtml "foo"

Result:

     <q><span>foo</span></q>

rp

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<rp>` element.

Example:

     rp $ span $ toHtml "foo"

Result:

     <rp><span>foo</span></rp>

rt

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<rt>` element.

Example:

     rt $ span $ toHtml "foo"

Result:

     <rt><span>foo</span></rt>

ruby

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ruby>` element.

Example:

     ruby $ span $ toHtml "foo"

Result:

     <ruby><span>foo</span></ruby>

samp

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<samp>` element.

Example:

     samp $ span $ toHtml "foo"

Result:

     <samp><span>foo</span></samp>

script

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<script>` element.

Example:

     script $ span $ toHtml "foo"

Result:

     <script><span>foo</span></script>

section

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<section>` element.

Example:

     section $ span $ toHtml "foo"

Result:

     <section><span>foo</span></section>

select

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<select>` element.

Example:

     select $ span $ toHtml "foo"

Result:

     <select><span>foo</span></select>

small

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<small>` element.

Example:

     small $ span $ toHtml "foo"

Result:

     <small><span>foo</span></small>

source

Arguments

:: Html | Resulting HTML.

Combinator for the `<source />` element.

Example:

     source

Result:

     <source />

span

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<span>` element.

Example:

     span $ span $ toHtml "foo"

Result:

     <span><span>foo</span></span>

strong

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<strong>` element.

Example:

     strong $ span $ toHtml "foo"

Result:

     <strong><span>foo</span></strong>

style

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<style>` element.

Example:

     style $ span $ toHtml "foo"

Result:

     <style><span>foo</span></style>

sub

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sub>` element.

Example:

     sub $ span $ toHtml "foo"

Result:

     <sub><span>foo</span></sub>

summary

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<summary>` element.

Example:

     summary $ span $ toHtml "foo"

Result:

     <summary><span>foo</span></summary>

sup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sup>` element.

Example:

     sup $ span $ toHtml "foo"

Result:

     <sup><span>foo</span></sup>

table

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<table>` element.

Example:

     table $ span $ toHtml "foo"

Result:

     <table><span>foo</span></table>

tbody

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tbody>` element.

Example:

     tbody $ span $ toHtml "foo"

Result:

     <tbody><span>foo</span></tbody>

td

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<td>` element.

Example:

     td $ span $ toHtml "foo"

Result:

     <td><span>foo</span></td>

textarea

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<textarea>` element.

Example:

     textarea $ span $ toHtml "foo"

Result:

     <textarea><span>foo</span></textarea>

tfoot

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tfoot>` element.

Example:

     tfoot $ span $ toHtml "foo"

Result:

     <tfoot><span>foo</span></tfoot>

th

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<th>` element.

Example:

     th $ span $ toHtml "foo"

Result:

     <th><span>foo</span></th>

thead

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<thead>` element.

Example:

     thead $ span $ toHtml "foo"

Result:

     <thead><span>foo</span></thead>

time

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<time>` element.

Example:

     time $ span $ toHtml "foo"

Result:

     <time><span>foo</span></time>

title

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<title>` element.

Example:

     title $ span $ toHtml "foo"

Result:

     <title><span>foo</span></title>

tr

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tr>` element.

Example:

     tr $ span $ toHtml "foo"

Result:

     <tr><span>foo</span></tr>

track

Arguments

:: Html | Resulting HTML.

Combinator for the `<track />` element.

Example:

     track

Result:

     <track />

ul

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ul>` element.

Example:

     ul $ span $ toHtml "foo"

Result:

     <ul><span>foo</span></ul>

var

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<var>` element.

Example:

     var $ span $ toHtml "foo"

Result:

     <var><span>foo</span></var>

video

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<video>` element.

Example:

     video $ span $ toHtml "foo"

Result:

     <video><span>foo</span></video>

wbr

Arguments

:: Html | Resulting HTML.

Combinator for the `<wbr />` element.

Example:

     wbr

Result:

     <wbr />